﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;

namespace TestProject
{
    /// <summary>
    /// 페이지 2
    /// </summary>
    public partial class Page2 : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - Page2()

        /// <summary>
        /// 생성자
        /// </summary>
        public Page2()
        {
            InitializeComponent();

            this.hyperlink.RequestNavigate += hyperlink_RequestNavigate;
            this.button.Click              += button_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 하이퍼링크 탐색 요청시 처리하기 - hyperlink_RequestNavigate(sender, e)

        /// <summary>
        /// 하이퍼링크 탐색 요청시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void hyperlink_RequestNavigate(object sender, RequestNavigateEventArgs e)
        {
            NavigationService.Navigate(e.Uri);

            e.Handled = true;
        }

        #endregion
        #region 버튼 클릭시 처리하기 - button_Click(sender, e)

        /// <summary>
        /// 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void button_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("Page1.xaml", UriKind.Relative));
        }

        #endregion
    }
}